Name:           ocaml-lablgtk2
Version:        2.18.3
Release:        %mkrel 2
Summary:        OCaml interface to the GIMP Tool Kit Version 2
Source0:        https://forge.ocamlcore.org/frs/download.php/1479/lablgtk-2.18.3.tar.gz 
Patch0:         lablgtk-2.18.0-mga-fix-doc-generation.patch
URL:            http://lablgtk.forge.ocamlcore.org/
License:        LGPL with static compilation exception
Group:          Development/OCaml
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-compiler-libs
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-camlp4-devel
BuildRequires:  gtk+2-devel
BuildRequires:  librsvg-devel
BuildRequires:  gnomeui2-devel
BuildRequires:  gtkspell-devel
BuildRequires:  libglade2-devel
BuildRequires:  libgtksourceview-1.0-devel
BuildRequires:  libgtksourceview-2.0-devel
BuildRequires:  gtkglarea2-devel
BuildRequires:  ocaml-lablgl-devel
BuildRequires:  mesaglu-devel
Requires:       gtk+2-devel
Requires:       librsvg-devel
Requires:       gnomeui2-devel
Requires:       gtkspell-devel
Requires:       libglade2-devel
Requires:       libgtksourceview-1.0-devel
Requires:       libgtksourceview-2.0-devel
Requires:       gtkglarea2-devel
Requires:       mesaglu-devel

%global __ocaml_requires_opts -i GtkSourceView_types -i GtkSourceView2_types

%description
OCaml interface to the GIMP Tool Kit Version 2.

%package devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires:       gtk2-devel

%description devel
This package contains the development files needed to build applications
using %{name}.

%package doc
Summary:        Documentation and examples for %{name}
Group:          Documentation
BuildArch:      noarch

%description doc
This package contains the ocamldoc generated documentation for %{name},
and some examples.


%prep
%setup -q -n lablgtk-%{version}
%patch0 -p1
#lzcat %{SOURCE1} | tar xf -
#mv lablgtk-2.16.0-doc-html/ doc/

%build
%configure2_5x --with-gl
make world CC="gcc %ldflags"
make opt CC="gcc %ldflags"
make doc CAMLP4O="camlp4o -I %{_libdir}/ocaml/camlp4/Camlp4Parsers"


%install
export DESTDIR=%{buildroot}
export OCAMLPATH=%{buildroot}/%{_libdir}/ocaml
export OCAMLFIND_DESTDIR="$OCAMLPATH"
install -d -m 755 $OCAMLPATH/stublibs
make install

rm -f %{buildroot}/%{_libdir}/ocaml/ld.conf

%files
%doc COPYING CHANGES README CHANGES.API LGPL
%{_bindir}/*
%dir %{_libdir}/ocaml/lablgtk2
%{_libdir}/ocaml/lablgtk2/META
%{_libdir}/ocaml/lablgtk2/*.cmi
%{_libdir}/ocaml/lablgtk2/*.cma
%{_libdir}/ocaml/lablgtk2/*.cmo
%{_libdir}/ocaml/lablgtk2/*.o
%{_libdir}/ocaml/stublibs/*

%files devel
%{_libdir}/ocaml/lablgtk2/*
%exclude %{_libdir}/ocaml/lablgtk2/META
%exclude %{_libdir}/ocaml/lablgtk2/*.cmi
%exclude %{_libdir}/ocaml/lablgtk2/*.cma
%exclude %{_libdir}/ocaml/lablgtk2/*.cmo
%exclude %{_libdir}/ocaml/lablgtk2/*.o

%files doc
%doc examples/
%doc doc/
%doc applications/


%changelog
* Mon Sep 26 2016 pterjan <pterjan> 2.18.3-2.mga6
+ Revision: 1056402
- Rebuild for fix in ocaml

* Mon Feb 01 2016 pterjan <pterjan> 2.18.3-1.mga6
+ Revision: 930653
- Fix BuildRequires
- Update to 2.18.3

* Mon Oct 05 2015 eatdirt <eatdirt> 2.18.0-6.mga6
+ Revision: 886271
- Rebuild for ocaml-lablgl

* Wed Oct 15 2014 umeabot <umeabot> 2.18.0-5.mga5
+ Revision: 740152
- Second Mageia 5 Mass Rebuild

* Tue Sep 23 2014 malo <malo> 2.18.0-4.mga5
+ Revision: 722337
- fix auto requires

* Tue Sep 16 2014 umeabot <umeabot> 2.18.0-3.mga5
+ Revision: 683055
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 2.18.0-2.mga4
+ Revision: 539204
- Mageia 4 Mass Rebuild

* Sat Oct 05 2013 malo <malo> 2.18.0-1.mga4
+ Revision: 491620
- new version 2.18.0
- add patch to build documentation

* Sat Sep 07 2013 blue_prawn <blue_prawn> 2.16.0-8.mga4
+ Revision: 475796
- rebuild for ocaml-4.01.0

* Sun Jan 13 2013 umeabot <umeabot> 2.16.0-7.mga3
+ Revision: 361423
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Oct 18 2012 malo <malo> 2.16.0-6.mga3
+ Revision: 308020
- rebuild for ocaml-4.0.1

* Tue Oct 02 2012 blue_prawn <blue_prawn> 2.16.0-5.mga3
+ Revision: 302034
- build requires ocaml-compiler-libs
- rebuild for new ocaml 4.00

* Sat Sep 29 2012 blue_prawn <blue_prawn> 2.16.0-4.mga3
+ Revision: 300406
- new rpm group for ocaml

* Sun Aug 26 2012 blue_prawn <blue_prawn> 2.16.0-3.mga3
+ Revision: 284370
- corrected group for documentation

* Sun Aug 26 2012 blue_prawn <blue_prawn> 2.16.0-2.mga3
+ Revision: 284190
- build requires findlib
- switched from the old make old-install target to the new make install that uses ocamlfind install

* Sat Aug 25 2012 blue_prawn <blue_prawn> 2.16.0-1.mga3
+ Revision: 283996
- removed old fixes for the META files
- updated to last version 2.16.0

* Sat Feb 18 2012 malo <malo> 2.14.2-5.mga2
+ Revision: 210152
- Missing requires.
- missing explicit BuildRequires.

* Sun Oct 02 2011 fwang <fwang> 2.14.2-4.mga2
+ Revision: 150919
- rebuild

* Sun Sep 18 2011 fwang <fwang> 2.14.2-3.mga2
+ Revision: 144942
- rebuild
- tweak br

* Sat Jul 02 2011 fwang <fwang> 2.14.2-2.mga2
+ Revision: 117453
- build without gnome-panel

* Tue Feb 22 2011 mikala <mikala> 2.14.2-1.mga1
+ Revision: 56480
- Remove BuildRoot
- imported package ocaml-lablgtk2


* Wed Oct 06 2010 Funda Wang <fwang@mandriva.org> 2.14.2-1mdv2011.0
+ Revision: 583596
- New version 2.14.2

* Fri Sep 25 2009 Florent Monnier <blue_prawn@mandriva.org> 2.14.0-2mdv2010.0
+ Revision: 449212
- added the documentation

* Fri Sep 25 2009 Florent Monnier <blue_prawn@mandriva.org> 2.14.0-1mdv2010.0
+ Revision: 449176
- new version 2.14.0
- new version 2.14.0

* Wed Sep 23 2009 Florent Monnier <blue_prawn@mandriva.org> 2.12.0-9mdv2010.0
+ Revision: 447866
- included the examples, and corrected the version in the META file

* Wed Sep 23 2009 Florent Monnier <blue_prawn@mandriva.org> 2.12.0-8mdv2010.0
+ Revision: 447566
- the gtksourceview module requires version 1.0 of the lib, 2.0 is in the svn

* Tue Sep 22 2009 Florent Monnier <blue_prawn@mandriva.org> 2.12.0-7mdv2010.0
+ Revision: 447521
- fixed gtkglarea deps
- BuildRequires: gtksourceview-devel and BuildRequires: ocaml-lablgl-devel

* Mon Jul 27 2009 Florent Monnier <blue_prawn@mandriva.org> 2.12.0-6mdv2010.0
+ Revision: 400484
- corrected libglade dependency

* Sat Jun 27 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.12.0-5mdv2010.0
+ Revision: 390044
- rebuild
- rebuild

* Wed Jan 07 2009 Florent Monnier <blue_prawn@mandriva.org> 2.12.0-3mdv2009.1
+ Revision: 326787
- sources for lablgtk-2.10.1
- new version lablgtk-2.10.1
- patch to add an include for libgnomeui
- fixed a header include for libgnomeui
- move non-devel files in main package
- site-lib hierarchy doesn't exist anymore

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 2.10.1-3mdv2009.0
+ Revision: 254266
- rebuild

* Mon Mar 03 2008 Stefan van der Eijk <stefan@mandriva.org> 2.10.1-1mdv2008.1
+ Revision: 178128
- 2.10.1
- rebuild for ocaml

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Dec 20 2007 Guillaume Bedot <littletux@mandriva.org> 2.10.0-5mdv2008.1
+ Revision: 135369
- patch fixing locale issues

* Wed Dec 19 2007 Guillaume Bedot <littletux@mandriva.org> 2.10.0-4mdv2008.1
+ Revision: 133742
- fix META file.

* Mon Dec 17 2007 Guillaume Bedot <littletux@mandriva.org> 2.10.0-3mdv2008.1
+ Revision: 131036
- also include META so ocamlfind works

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Dec 17 2007 Guillaume Bedot <littletux@mandriva.org> 2.10.0-2mdv2008.1
+ Revision: 123007
- back to ocaml policy compliance

* Fri Nov 30 2007 Guillaume Bedot <littletux@mandriva.org> 2.10.0-1mdv2008.1
+ Revision: 114195
- 2.10.0
- fixed location of caml archives

* Sat Sep 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.6.0-10mdv2008.0
+ Revision: 77689
- ocaml policy compliance


* Thu Jan 25 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.6.0-9mdv2007.0
+ Revision: 113157
- rebuild for new ocaml
- Import ocaml-lablgtk2

* Tue Aug 29 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.6.0-8mdv2007.0
- Rebuild

* Wed Apr 26 2006 Pixel <pixel@mandriva.com> 2.6.0-7mdk
- rebuild for new ocaml

* Thu Jan 26 2006 Pixel <pixel@mandriva.com> 2.6.0-6mdk
- only the stublibs are non-devel stuff (ie not requiring ocaml)

* Mon Jan 23 2006 Pixel <pixel@mandriva.com> 2.6.0-5mdk
- rebuild for new ocaml

* Fri Jan 13 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.6.0-4mdk
- devel packages requires gtk+2-devel

* Wed Nov 09 2005 Guillaume Bedot <littletux@mandriva.org> 2.6.0-3mdk
- rebuild for new lablgl

* Mon Nov 07 2005 Pixel <pixel@mandriva.com> 2.6.0-2mdk
- rebuild for new ocaml

* Wed Nov 02 2005 Guillaume Rousse <guillomovitch@mandriva.org> 2.6.0-1mdk
- %%mkrel
- Anssi Hannula <anssi.hannula@gmail.com>
 - 2.6.0

* Tue Nov 01 2005 Frederic Lepied <flepied@mandriva.com> 2.4.1-0.20050701.2mdk
- rebuild to compile gtkgl support

* Wed Jul 20 2005 Guillaume Rousse <guillomovitch@mandriva.org> 2.4.1-0.20050701.1mdk 
- new snapshot
- more buildrequires
- remove merged rpm macros

* Wed May 18 2005 Laurent Culioli <laurent@mandriva.org> 2.4.1-0.20050218.1mdk
- 20050218

* Fri Apr 22 2005 Guillaume Rousse <guillomovitch@mandriva.org> 2.4.0-1mdk 
- contributed by Julien Narboux (Julien.Narboux@inria.fr)

